@font-face {
    font-family: 'Source Sans Pro';
    src: url('Source_Sans_Pro/SourceSansPro-ExtraLightItalic.woff2') format('woff2'),
        url('Source_Sans_Pro/SourceSansPro-ExtraLightItalic.woff') format('woff');
    font-weight: 200;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Source Sans Pro';
    src: url('Source_Sans_Pro/SourceSansPro-Italic.woff2') format('woff2'),
        url('Source_Sans_Pro/SourceSansPro-Italic.woff') format('woff');
    font-weight: normal;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Source Sans Pro';
    src: url('Source_Sans_Pro/SourceSansPro-Bold.woff2') format('woff2'),
        url('Source_Sans_Pro/SourceSansPro-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Source Sans Pro';
    src: url('Source_Sans_Pro/SourceSansPro-ExtraLight.woff2') format('woff2'),
        url('Source_Sans_Pro/SourceSansPro-ExtraLight.woff') format('woff');
    font-weight: 200;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Source Sans Pro';
    src: url('Source_Sans_Pro/SourceSansPro-SemiBold.woff2') format('woff2'),
        url('Source_Sans_Pro/SourceSansPro-SemiBold.woff') format('woff');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Source Sans Pro';
    src: url('Source_Sans_Pro/SourceSansPro-Regular.woff2') format('woff2'),
        url('Source_Sans_Pro/SourceSansPro-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Source Sans Pro';
    src: url('Source_Sans_Pro/SourceSansPro-SemiBoldItalic.woff2') format('woff2'),
        url('Source_Sans_Pro/SourceSansPro-SemiBoldItalic.woff') format('woff');
    font-weight: 600;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Source Sans Pro';
    src: url('Source_Sans_Pro/SourceSansPro-Light.woff2') format('woff2'),
        url('Source_Sans_Pro/SourceSansPro-Light.woff') format('woff');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Source Sans Pro';
    src: url('Source_Sans_Pro/SourceSansPro-BlackItalic.woff2') format('woff2'),
        url('Source_Sans_Pro/SourceSansPro-BlackItalic.woff') format('woff');
    font-weight: 900;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Source Sans Pro';
    src: url('Source_Sans_Pro/SourceSansPro-BoldItalic.woff2') format('woff2'),
        url('Source_Sans_Pro/SourceSansPro-BoldItalic.woff') format('woff');
    font-weight: bold;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Source Sans Pro';
    src: url('Source_Sans_Pro/SourceSansPro-LightItalic.woff2') format('woff2'),
        url('Source_Sans_Pro/SourceSansPro-LightItalic.woff') format('woff');
    font-weight: 300;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Source Sans Pro';
    src: url('Source_Sans_Pro/SourceSansPro-Black.woff2') format('woff2'),
        url('Source_Sans_Pro/SourceSansPro-Black.woff') format('woff');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}

body {
    font-family: 'Source Sans Pro' !important;
    color: #000000 !important;
}

a, a:hover, a:focus, a:visited {
    color: #6022A6;
}

.bg-light {
    background: transparent !important;
}

.btn-header {
    color: #ffffff !important;
}

.btn.btn-outline-header {
    background-color: #ffffff !important;
    color: #6022A6 !important;
    border-color: #6022A6 !important;
}

.navbar {
    padding: 1rem 0.5rem !important;
}

.layout-navbar-fixed .wrapper .sidebar-light-primary .brand-link:not([class*="navbar"]) {
    border-right: 1px solid #6022A6 !important;
}

.layout-navbar-fixed.sidebar-mini.sidebar-collapse .wrapper .brand-link {
    height: auto !important;
}

.main-header {
    border-bottom: none !important;
}

.content-wrapper {
    background-color: #ffffff !important;
}

.elevation-4 {
    box-shadow: none !important;
}

.page-margin {
    padding: 20px 20px !important;
}

.menu-bottom-items {
    position: absolute;
    bottom: 0;
    border: none;
}

.menu-bottom-items a {
    padding: 0.5rem 1rem;
}

.menu-header a {
    text-decoration: underline;
}

.center-header {
    align-content: center !important;
    align-self: center !important;
}

.btn {
    background-color: #6022A6 !important;
    color: #ffffff !important;
    border-color: transparent !important;
    border-radius: 10px;
}

.btn-header {
    font-size: 16px;
}

.btn-header-users {
    font-size: 16px;
}

.form-profilo {
    padding: 20px 0px 20px 0px;
}

.users-action-button {
    padding: 5px 10px !important;
}

.fa, .fas, .far {
    font-size: 20px !important;
    width: 30px !important;
    text-align: center;
}

div.dataTables_wrapper div.dataTables_length select {
    width: -webkit-fill-available !important;
}

.logo-sidebar {
    width: auto !important;
    max-width: 200px !important;
    opacity: 1 !important;
    margin-left: 5px;
}

.logo-div {
    text-align: center !important;
    margin: 10px auto;
}

.brand-link {
    border: none !important;
}

.back-arrow-header {
    font-size: 35px !important;
}

.page-item.active .page-link {
    background-color: transparent !important;
    border-color: #dee2e6 !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    background: transparent !important;
    border-color: transparent !important;
}

.card-opere {
    background: #F2F5F7 !important;
    box-shadow: none !important;
}

.card-title-opera {
    font-size: revert !important;
}

/** DROP ZONE OPERE */
.dropzone {
    border: none !important;
    border: 0;
    background: transparent;
    padding: 0 !important;
}

.dz-photo {
    height: 100%;
    width: 100%;
    overflow: hidden;
    border-radius: 12px;
    background: #eae7e2;
}
.dz-drag-hover .dropzone-drag-area {
    border-style: solid;
    border-color: #86b7fe;
}
.dz-thumbnail {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.dz-image {
    width: 90px !important;
    height: 90px !important;
    border-radius: 6px !important;
}
.dz-remove {
    display: none !important;
}
.dz-delete {
    width: 24px;
    height: 24px;
    background: rgba(0, 0, 0, 0.57);
    position: absolute;
    opacity: 0;
    transition: all 0.2s ease;
    top: 0px;
    right: 0px;
    border-radius: 100px;
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
}
.dz-delete > svg {
    transform: scale(0.75);
    cursor: pointer;
}
.dz-preview:hover .dz-delete,
.dz-preview:hover .dz-remove-image {
    opacity: 1;
}
.dz-message {
    height: 100%;
    margin: 0 !important;
    display: flex;
    align-items: center;
    justify-content: center;
}
.dropzone-drag-area {
    height: 100px;
    min-height: 100px !important;
    position: relative;
    padding: 0 !important;
    border-radius: 10px;
    border: 3px dashed #dbdeea !important;
}
.was-validated .form-control:valid {
    border-color: #dee2e6 !important;
    background-image: none;
}

#previews {
    text-align: center !important;
    background-image: url('Source_Sans_Pro/../img/upload-preview-placeholder.png');
    background-size: cover;
    background-position: center;
    margin: auto;
    width: 100px;
    height: 100px;
}

.dz-preview {
    margin: 0px !important;
}

.dz-preview.dz-image-preview {
    background: #ffffff !important;
}

.preview-opera-div {
    text-align: center !important;
}

.uploadOuter {
    text-align: center;
    padding: 20px;
}
.uploadOuter strong {
    padding: 0 10px;
}
.dragBox {
    width: 250px;
    height: 100px;
    margin: 0 auto;
    position: relative;
    text-align: center;
    font-weight: bold;
    line-height: 95px;
    color: #999;
    border: 2px dashed #ccc;
    display: inline-block;
    transition: transform 0.3s;
}
.dragBox input[type="file"] {
    position: absolute;
    height: 100%;
    width: 100%;
    opacity: 0;
    top: 0;
    left: 0;
}
.draging {
    transform: scale(1.1);
}
#preview {
    text-align: center;
}
#preview img {
    max-width: 100%;
}
/* end dropzone opere */

.edit-arrow-percorsi {
    font-size: 15px !important;
}

.dataTables_filter {
    float:right !important;
}

.opere-view-percorso {
    background-color: #F2F5F7;
    width: fit-content;
    padding: 5px 10px;
}

.opere-view-percorso i {
    font-size: 15px !important;
}

.opere-view-audio-player {
    display: block;
    float: right;
    width: 100% !important;
    background-color: #F2F5F7;
}

.rewind-btn img, .forward-btn img {
    width: 30px !important;
    height: 30px !important;
}

#audio-player {
    max-width: 500px;
    padding: 30px;
    margin: 0px 0px 30px 30px;
}

#audio-file-name {
    font-size: 20px;
    margin-bottom: 20px;
}

#audio-timeline {
    width: 100%;
    margin: 20px 0;
}

#time-container {
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
    font-size: 14px;
}

.audio-controls {
    display: flex;
    justify-content: center;
    align-items: center;
}

.control-btn {
    border: none;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    margin: 0 10px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
}

#play-btn {
    width: 80px;
    height: 80px;
    font-size: 30px;
    background-color: #333;
}

.control-btn:hover {
    background-color: #ddd;
}
/* end audio player */

.opere-view-image {
    margin: 0px 20px;
    padding: 20px;
    border: 2px solid black;
}

.opere-view-qrcode {
    margin: 0px 20px;
    background-color: #F2F5F7 !important;
}

.opere-view-qrcode img {
    width: 50% !important;
    align-items: center !important;
    margin: 0px auto 50px auto !important;
}

.opera-view-qr-text {
    padding-left: 20px;
}

.opera-view-qr-dl {
    padding-right: 20px;
}

.opera-view-qr-dl a:hover {
    color: #ffffff !important;
}

.card-homepage {
    box-shadow: none !important;
}

table.dataTable > thead .sorting::before, table.dataTable > thead .sorting_asc::before, table.dataTable > thead .sorting_desc::before, table.dataTable > thead .sorting_asc_disabled::before, table.dataTable > thead .sorting_desc_disabled::before,
table.dataTable > thead .sorting::after, table.dataTable > thead .sorting_asc::after, table.dataTable > thead .sorting_desc::after, table.dataTable > thead .sorting_asc_disabled::after, table.dataTable > thead .sorting_desc_disabled::after {
    display: none !important;
}

.content-wrapper-guest {
    margin-left: 0px !important;
}

.jumbotron {
    color: #000000;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    height: 90vh;
    padding: 0px !important;
    background-color: #ffffff !important;
    background-image: url("/storage/images/home-contest.png");
}

.box-btn-contest {
    background: #F5F1F8;
    color: #6022A6;
    padding: 5px;
    text-align: center;
    border-radius: 5px;
    font-weight: bold;
    font-size: 16px;
}

.img-contest-home {
    padding-left: 0px !important;
}
.img-contest-home img {
    border-radius: 20px;
}

.guida-section, .footer-content {
    background: #F4F1F8;
    margin-left: 0px !important;
    margin-right: 0px !important;
}

.timeline::before {
    background-image: repeating-linear-gradient(to bottom, #6c757d, #6c757d 4px, transparent 4px, transparent 8px) !important;
    width: 2px !important;
    left: 29px !important;
    bottom: 80px !important;
}

.timeline-number-one, .timeline-number {
    padding: 17px 23px;
    background-color: #6022A6 !important;
    border-radius: 50%;
    border: 1px solid #6022A6;
    color: #ffffff;
}

.timeline > div > .timeline-item {
    top: -36px !important;
    margin-left: 70px !important;
    background-color: transparent !important;
    box-shadow: none !important;
    border-radius: unset !important;
}

.contest-tag-row {
    font-size: 16px !important;
    color: #6022A6;
}

.contest-title-row {
    font-size: xx-large !important;
    font-weight: bold;
}

.contest-count-row {
    font-size: x-large !important;
    color: #6022A6;
}

.contest-count-link,
.contest-count-link:hover,
.contest-count-link:focus {
    color: #6022A6;
    text-decoration: none;
    cursor: pointer;
    transition: opacity 0.2s ease;
}
.contest-count-link:hover {
    opacity: 0.7;
}
.contest-count-link i {
    margin-left: 6px;
}

html {
    scroll-behavior: smooth;
}

.contest-text {
    align-content: end !important;
}

.btn-vota {
    border-radius: 10px !important;
}

.img-contest-page img {
    border-radius: 20px !important;
}

#item-list .img-contest-page img {
    width: 100%;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    object-position: center;
}

.modal-dialog {
    /* max-width: 90% !important; */
    max-width: 75% !important;
}

.modal-content {
    height: 90% !important;
}

.contest-pdf-button { /*, .contest-vote-button {*/
    background: #45B2C5 !important;
    font-size: 20px;
}

.contest-vote-button {
    background-color: #6022A6 !important;
    font-size: 20px;
}

.contest-btn-col {
    padding: 0px 75px !important;
}

.carousel-control-prev, .carousel-control-next {
    opacity: 1 !important;
}

.modal-header {
    border-bottom: 0px !important;
}

.title-head-main-page {
    font-weight: bold;
    font-size: 65px;
    color: #6022A6;
}

h4.text-head-main-page {
    font-size: 18px;
    line-height: 1.5;
}

.contest-header-home {
    font-weight: 600;
    color: #6022A6;
}

.contest-subtitle-home {
    font-weight: 21px;
}

.btn-completato {
    background: #6022A6;
    color: #ffffff;
}

.scadenza-contest-home {
    text-align: right !important;
    font-weight: bold;
    font-size: 21px;
    color: #6022A6;
}

.header-navbar {
    align-items: center !important;
}

.img-guida {
    max-width: 80% !important;
}

.link-home {
    font-weight: bold;
    color: #6022A6;
}

.titolo-guida {
    font-weight: bold;
    color: #6022A6;
    font-size: 21px;
}

.btn-outline-login {
    color: #6022A6 !important;
    background: #ffffff !important;
    border: 1px solid #6022A6 !important;
}

.btn-login {
    background: #6022A6 !important;
    color: #ffffff !important;
}

.register-page {
    height: 100% !important;
}

.item-list-title {
    color: #6022A6;
    font-size: 20px;
}

.item-list-author {
    font-size: 15px;
}

.item-modal-tag {
    font-size: 18px;
    color: #707070;
}

.item-modal-title {
    font-size: 30px;
    color: #6022A6;
}

.item-modal-author {
    font-size: 25px;
    font-weight: bold;
}

.item-modal-votes {
    font-size: 25px;
    font-weight: bold;
    color: #6022A6;
}

.modal-close-btn {
    font-size: 70px;
    font-weight: lighter;
    padding: 0 !important;
    margin: -1rem 0rem -1rem auto !important;
}

.nav-item {
    margin-right: 20px !important;
}

@media (max-width: 767.98px) {
    .preloader {
        display: none !important;
    }
    .timeline::before {
        bottom: 200px !important;
    }
    .title-head-main-page {
        font-size: 45px;
    }
    .text-head-main-page {
        font-size: 20px;
    }
    .contest-header-home {
        font-size: 35px;
    }
    .head-single-contest {
        flex-direction: column-reverse;
    }
    .img-contest-home {
        margin-bottom: 20px;
    }
    .modal-dialog {
        max-width: 100% !important;
    }
    .contest-pdf-button {
        margin-bottom: 20px;
    }
    .nav-item {
        margin-right: 0px !important;
    }
}

.login-page-section {
    background-color: #ffffff;
    display: flex;
    flex-direction: column;
    height: 100vh;
    justify-content: center;
}

.form-control {
    border-radius: 10px !important;
}

.icheck-primary>input:first-child:checked+input[type=hidden]+label::before,
.icheck-primary>input:first-child:checked+label::before {
    background-color: #6022A6 !important;
    border-color: #6022A6 !important;
}
.icheck-primary > label:hover::before {
    border-color: #6022A6 !important;
    box-shadow: 0 0 5px rgba(96, 34, 166, 0.5);
}
.icheck-primary > input:focus + label::before {
    border-color: #6022A6 !important;
    outline: none;
    box-shadow: 0 0 0 0.2rem rgba(96, 34, 166, 0.25);
}

select.form-control option:first-child, #paese option:first-child {
    color: #adb5bd !important;
}

.end-days {
    font-weight: bold;
    color: #6022A6 !important;
    align-content: center;
}

.text-contest-home {
    align-content: center;
}

.text-contest-home > .row {
    margin-bottom: 2rem;
}
.text-contest-home > .row:last-child {
    margin-bottom: 0;
}

.text-contest-home h2 {
    font-size: 1.5rem !important;
    font-weight: bold;
    color: #6022A6 !important;
}

.btn-conest-home-right {
    background: #45B2C5;
    color: #000000;
    padding: 5px;
    text-align: center;
    border-radius: 5px;
    font-weight: bold;
    font-size: 13px;
}

.text-content-home-right {
    font-size: 1.5rem;
}

.btn-carica-contest-home-right {
    padding: 5px 10px;
}

.page-margin-contest-home {
    padding: 50px 20px !important;
}

a.footer-link h5 {
    color: #000000 !important;
}

.footer-list-link {
    flex-direction: row;
    display: flex;
}

.head-home-date {
    font-weight: bold;
    color: #6022A6 !important;
}

.ge-contest-home {
    font-size: 5.5rem;
    line-height: 1;
}

a.btn-vai-contest-home {
    font-weight: normal !important;
    padding: 5px !important;
    text-align: center !important;
    border-radius: 5px !important;
    font-size: 20px !important;
    color: #ffffff !important;
}

.btn-icon-caret {
    height: 0.9em;
    vertical-align: -0.1em;
    margin-left: 4px;
}

a.btn-vai-contest-home:hover {
    color: #ffffff !important;
}

strong {
    font-weight: bold;
    color: #6022A6 !important;
}

@media (min-width: 1200px) {
    .container, .container-sm, .container-md, .container-lg, .container-xl {
        max-width: 1400px;
    }
}

.dashboard-sidebar {
    border-left: 2px solid #6022A6;
}

.profilo-menu, .regolamento-menu, .casi-menu, .admin-contests-menu, .admin-casi-menu {
    display: inline-block;
    position: relative;
    width: 18px;
    height: 18px;
    margin-right: 6px;
    vertical-align: middle;
}
.profilo-menu img, .regolamento-menu img, .casi-menu img, .admin-contests-menu img, .admin-casi-menu img {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transition: opacity 0.2s ease;
}
.profilo-link:hover .icon-default, .regolamento-link:hover .icon-default, .casi-link:hover .icon-default, .admin-contests-link:hover .icon-default, .admin-casi-link:hover .icon-default {
    opacity: 0;
}
.profilo-link:hover .icon-hover, .regolamento-link:hover .icon-hover, .casi-link:hover .icon-hover, .admin-contests-link:hover .icon-hover, .admin-casi-link:hover .icon-hover {
    opacity: 1;
}

a.btn-new-contest {
    font-weight: normal !important;
    padding: 5px !important;
    text-align: center !important;
    border-radius: 5px !important;
    color: #ffffff !important;
}
a.btn-new-contest .fa-plus {
    font-size: small !important;
}
.nav-sidebar .nav-item > .nav-link {
    margin-bottom: 1rem;
}

.btn-toggle-radio {
    display: inline-flex;
}
.btn-toggle-radio input {
    display: none;
}
.btn-toggle-radio label {
    border: 1px solid #6022A6 !important;
    background-color: #ffffff !important;
    color: #6022A6 !important;
    padding: 8px 18px !important;
    cursor: pointer;
}
.btn-toggle-radio input:checked + label {
    background-color: #6022A6 !important;
    color: #fff !important;
}
.btn-toggle-radio label:hover {
    background-color: rgba(96, 34, 166, 0.1);
}

.new-caso-info {
    align-content: center;
}
.btn-invia-caso {
    font-size: 1rem !important;
    padding: 0.5rem 2rem !important;
}

.btn-publish-confirmed {
    cursor: unset;
    background-color: #6022A6 !important;
    color: #ffffff !important;
    border-color: transparent !important;
    border-radius: 10px;
    font-weight: bold;
}
.btn-publish-wait {
    cursor:default;
    background-color: #D5CCE077 !important;
    color: #6022A6 !important;
    border-color: transparent !important;
    border-radius: 10px;
    font-weight: bold;
}

.img-fixed {
    width: 316px;
    height: 316px;
    object-fit: cover;
    object-position: center;
    border-radius: 8px;
}

.contest-slogan-middle {
    font-size: 20px;
}
.btn-contest-slogan-middle {
    /* padding: 10px 20px; */
    font-size: 20px;
}

.navbar-brand {
    margin-left: 150px;

    img {
        width: 200px;
    }

}

@media only screen and (max-width: 425px) {
    .jumbotron {
        height: 30vh !important;
    }
    .ge-contest-home {
        font-size: 1.5rem;
    }
    .mt-5 {
        margin-top: 0 !important;
    }
    .ge-contest-home {
        margin-top: 1.5rem !important;
    }
}

@media only screen and (max-width: 767px) {
    .jumbotron {
        height: auto !important;
        background-image: none;
    }
    a.footer-link h5 {
        font-size: 1rem !important;
    }
    .footer-list-link {
        margin-top: 20px !important;
    }
    h2, .h2 {
        font-size: 1.5rem !important;
    }
    .ge-contest-home {
        font-size: 3rem !important;
    }
    .text-content-home-right {
        font-size: 1rem !important;
    }
    .img-fixed {
        width: auto;
        height: auto;
        object-fit: cover;
        object-position: center;
    }
    .text-top-section.offset-lg-2 {
        margin-left: 0px !important;
    }
    a.btn-vai-contest-home {
        font-size: 16px !important;
    }
    .contest-title-row {
        font-size: 1.8rem !important;
        font-weight: bold;
    }
    .tag-row a {
        font-size: 0.9rem !important;
    }
    .contest-count-row {
        font-size: 1rem !important;
    }
    .contest-slogan-middle h1 {
        font-size: 1.8rem;
        margin-bottom: 25px;
    }
    .btn-contest-slogan-middle {
        margin-top: 20px;
    }
    .item-modal-title h1 {
        font-size: 2rem;
    }
    .item-modal-author, .item-modal-votes, .contest-vote-button, .contest-pdf-button {
        font-size: 18px;
    }
    .contest-btn-col {
        padding: 0px 10px !important;
    }
    .dashboard-container, .dashboard-content {
        margin-left: 0px !important;
    }
    .dashboard-sidebar {
        border-left: none !important;
        padding: 0rem 1rem;
    }
    .my-contest-dashboard-text {
        padding-right: 0px;
    }
}

@media only screen and (min-width: 768px) {
    .jumbotron {
        height: 50vh !important;
    }
    .nav-item {
        margin-right: 0px !important;
    }
    h2, .h2 {
        font-size: 1.5rem !important;
    }
    .ge-contest-home {
        font-size: 2.5rem !important;
    }
    .col-lg-8 {
        flex: 0 0 100%;
        max-width: 100%;
    }
    .text-content-home-right {
        font-size: 1rem !important;
    }
    .col-lg-4 {
        flex: 0 0 66%;
        max-width: 66%;
    }
    .text-top-section.offset-lg-2 {
        margin-left: 0px !important;
    }
    a.btn-vai-contest-home {
        font-size: 16px !important;
    }
    .login-page .offset-lg-4 {
        margin-left: 17%;
    }
    .login-page .offset-lg-2 {
        margin-left: 1%;
    }
    .contest-title-row {
        font-size: 1.8rem !important;
        font-weight: bold;
    }
    .tag-row a {
        font-size: 0.9rem !important;
    }
    .contest-count-row {
        font-size: 1rem !important;
    }
    .contest-slogan-middle h1 {
        font-size: 1.8rem;
        margin-bottom: 25px;
    }
    .btn-contest-slogan-middle {
        margin-top: 20px;
    }
    .item-modal-title h1 {
        font-size: 2rem;
    }
    .item-modal-author, .item-modal-votes, .contest-vote-button, .contest-pdf-button {
        font-size: 18px;
    }
    .contest-btn-col {
        padding: 0px 10px !important;
    }
    .dashboard-container {
        margin-left: 0px !important;
    }
    .dashboard-content {
        margin-left: 270px !important;
    }
    .my-contest-dashboard-text {
        padding-right: 100px;
    }
}

@media only screen and (min-width: 1024px) {
    .jumbotron {
        height: 50vh !important;
    }
    .nav-item {
        margin-right: 20px !important;
    }
    .dashboard-content {
        margin-left: 270px !important;
    }
}

@media only screen and (min-width: 1200px) {
    h2, .h2 {
        font-size: 2rem !important;
    }
    .jumbotron {
        height: 90vh !important;
    }
    .ge-contest-home {
        font-size: 5.5rem !important;
        line-height: 1;
    }
    .col-lg-8 {
        flex: 0 0 66.666667%;
        max-width: 66.666667%;
    }
    .col-lg-4 {
        flex: 0 0 33.333333%;
        max-width: 33.333333%;
    }
    .text-top-section.offset-lg-2 {
        margin-left: 16.666667% !important;
    }
    a.btn-vai-contest-home {
        font-size: 16px !important;
    }
    .text-content-home-right {
        font-size: 1.1rem !important;
    }
    .contest-title-row {
        font-size: xx-large !important;
        font-weight: bold;
    }
    .tag-row a {
        font-size: 20px !important;
    }
    .contest-count-row {
        font-size: 20px !important;
    }
    .contest-slogan-middle h1 {
        font-size: 2.5rem;
        margin-bottom: 25px;
    }
    .btn-contest-slogan-middle {
        margin-top: 20px;
    }
    .item-modal-title h1 {
        font-size: 2rem;
    }
    .item-modal-author, .item-modal-votes, .contest-vote-button, .contest-pdf-button {
        font-size: 15px;
    }
    .contest-btn-col {
        /* padding: 0px 75px !important; */
    }
    .dashboard-container {
        margin-left: 270px !important;
    }
    .dashboard-content {
        margin-left: 260px !important;
    }
}

.btn-publish-confirmed-outline {
    background-color: #ffffff !important;
    color: #6022A6 !important;
    border: 1px solid #6022A6 !important;
    border-radius: 10px;
    font-weight: bold;
}



/* Stile unificato per entrambi i pulsanti */
.contest-btn-sync,
.action-btn-container .btn {
    display: flex !important;
    align-items: center;
    justify-content: center;
    width: 100%;             /* Occupa tutta la colonna col-6 */
    height: 45px;            /* Altezza fissa per renderli identici */
    white-space: nowrap !important; /* Forza la singola riga (priorità massima) */
    overflow: hidden;        /* Previene sbavature se lo schermo è minuscolo */
    padding: 8px 10px;       /* Padding ridotto per far entrare il testo a 1024px */
    font-size: 14px;         /* Font ottimizzato per schermi medi */
    font-weight: 500;
    border-radius: 8px;
    border: none;
}

/* Colore specifico per il tasto azzurro */
.btn-info.contest-btn-sync {
    background-color: #46b4c8;
}

/* Gestione icone nel tasto Vota */
.action-btn-container .btn i,
.action-btn-container .btn svg {
    margin-right: 6px; /* Spazio tra cuore e testo */
}

/* Media Query di sicurezza per schermi molto stretti (sotto i 992px) */
@media (max-width: 991px) {
    .contest-btn-sync,
    .action-btn-container .btn {
        font-size: 13px; /* Riduciamo ancora un po' il testo */
        padding: 8px 5px;
    }
}